import request from '@/utils/request'

// 查询巡检车列表
export function listCar(query) {
  return request({
    url: '/car/info/list',
    method: 'get',
    params: query
  })
}

// 查询巡检车详细
export function getCar(id) {
  return request({
    url: '/car/info/' + id,
    method: 'get'
  })
}

// 新增巡检车
export function addCar(data) {
  return request({
    url: '/car/info',
    method: 'post',
    data: data
  })
}

// 修改巡检车
export function updateCar(data) {
  return request({
    url: '/car/info',
    method: 'put',
    data: data
  })
}

// 删除巡检车
export function delCar(id) {
  return request({
    url: '/car/info/' + id,
    method: 'delete'
  })
}

// 导出巡检车
export function exportCar(query) {
  return request({
    url: '/car/info/export',
    method: 'get',
    params: query
  })
}
